class Fireball { 
  float ypos=0, xpos=0, xvel=0, yvel=0, rotation=0;
  Fireball (float x, float y, float xv, float yv) {  
    ypos = y; 
    xpos = x;
    xvel = xv;
    yvel = yv; 
  } 
  void move() { 
     xpos += xvel;
     ypos += yvel;
     rotation += 0.4;
     if (xpos-7.0/2.0 < 0) {xvel *= -1; xpos = 7.0/2.0;}
     if (xpos-7.0/2.0 > windowX) {xvel *= -1; xpos = windowX - 7.0/2.0;}
     if (ypos-7.0/2.0 < 0) {yvel *= -1; ypos = 7.0/2.0;}
     if (ypos-7.0/2.0 > windowY) {yvel *= -1; ypos = windowY - 7.0/2.0;}
  } 
  void display() { 
    pushMatrix();
      translate(xpos, ypos);
      rotate(rotation);
      translate(-7.0/2.0, -7.0/2.0);
      image(fireballImg, 0, 0);
    popMatrix();
  } 
  boolean finished() { 
    return false;
     //return ypos < -20 || ypos > windowY+20 || xpos < -20 || xpos > windowX+20;
  } 
} 
